// ----------------------------------------------------
// Processing Rennes du 4 au 5 Novembre 2011
// ----------------------------------------------------
// http://data.keolis-rennes.com/fr/les-donnees/donnees-et-api.html
// Unfolding : http://unfoldingmaps.org/ 
// GLGraphics : http://glgraphics.sourceforge.net/
// Triangulate : http://wiki.processing.org/w/Triangulation
// Pictos : http://data.keolis-rennes.com/fr/les-donnees/donnees-telechargeables/donnees-graphiques.html


String keolisCle = "####";
String keolisCommande = "getbikestations";
String keolisVersion = "2.0";

int nombreStations=0;

PFont maFonte;

void setup() 
{
  // Dimension de la fenêtre
  size(400,400);

  // On charge notre fonte
  maFonte = loadFont("Geneva-70.vlw");
  textFont(maFonte,300);

  // Addresse à laquelle nous allons accéder aux données
  String url = "http://data.keolis-rennes.com/xml/?version="+keolisVersion+"&key="+keolisCle+"&cmd="+keolisCommande;
  
  // Plus simple que la méthode loadStrings, nous allons directement
  // charger les données dans un objet permettant de lire le XML
  XMLElement xml = new XMLElement(this, url);

  // On est prêt à analyser les données à présent
  // Nous accèdons d'abord aux noeuds <station>
   XMLElement[] stations = xml.getChildren("answer/data/station");

  // Nous stockons ce nombre de noeuds <station>, qui correspond au nombre de stations vélos de la ville de Rennes
  nombreStations = stations.length;
}

void draw() 
{
  background(#dfdfdf);
  fill(#000000);
  text(nombreStations,0,height-90); 
}

