class Station
{
  String nom;
  Location position;
  PVector positionScreen;
  int slotsDisponibles;
  int velosDisponibles;
  
  Station(XMLElement stationXML)
  {
    XMLElement nomXML = stationXML.getChild("name");
    XMLElement latXML = stationXML.getChild("latitude");
    XMLElement lonXML = stationXML.getChild("longitude");
    XMLElement sloXML = stationXML.getChild("slotsavailable");
    XMLElement bkeXML = stationXML.getChild("bikesavailable");

    this.nom = nomXML.getContent();
    this.position = new Location(Float.valueOf(latXML.getContent()), Float.valueOf(lonXML.getContent()));  
    this.positionScreen = new PVector();
    this.slotsDisponibles = int(sloXML.getContent());
    this.velosDisponibles = int(bkeXML.getContent());
  }
  
  float disponibilite()
  {
    if (this.slotsDisponibles + this.velosDisponibles > 0)
      return float(this.velosDisponibles)/float(this.slotsDisponibles + this.velosDisponibles);
    return 0.0;
  }
  
}

Station getStationFromPoint(PVector p)
{
  Station result=null;
  for (Station s : stationsListe)
  {
    if (p == s.positionScreen){
      result = s;
      break;
    }
  }
  
  return result;
}

